<?php get_header(); // add header ?>  
<?php
    // Display related articles / AD (Yes/No)
    $vloma_wp_display_add_relatedarticles = get_theme_mod('vloma_wp_display_add_relatedarticles');
    if (empty($vloma_wp_display_add_relatedarticles)) { $vloma_wp_display_add_relatedarticles = 'No'; }
    $vloma_wp_related_add300 = get_theme_mod('vloma_wp_related_add300');    
?>

<!-- Begin Content -->
<div class="wrap-fullwidth">

    <div class="single-content">
        <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
        <div class="entry-top">
            <h1 class="article-title entry-title"><?php the_title(); ?></h1>
            <ul class="meta-entry-top">
                <li><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 22 ); ?></a>
                <li class="vcard author"><span class="fn"><?php the_author_posts_link(); ?></span> <?php esc_html_e('on', 'vloma-wp'); ?> <span class="updated"><?php the_time('F j, Y'); ?></span></li>
                <li>
                    <ul class="single-share">
                        <li><?php $vloma_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?><a class="fbbutton" target="_blank" href="<?php echo esc_url($vloma_wp_facebooklink); ?><?php the_permalink(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fa fa-facebook" aria-hidden="true"></i> <span><?php esc_html_e( 'Share on Facebook', 'vloma-wp' ); ?></span></a></li>
                        <li><?php $vloma_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?><a class="twbutton" target="_blank" href="<?php echo esc_url($vloma_wp_twitterlink); ?><?php the_title(); ?>%20-%20<?php the_permalink(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fa fa-twitter"></i></a></li>
                        <li><?php $vloma_wp_articleimage = wp_get_attachment_url( get_post_thumbnail_id($post->ID)); ?><?php $vloma_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?><a class="pinbutton" target="_blank" href="<?php echo esc_url($vloma_wp_pinlink); ?><?php the_permalink(); ?>&amp;media=<?php echo esc_html($vloma_wp_articleimage); ?>&amp;description=<?php the_title(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fa fa-pinterest"></i></a></li>
                    </ul><!-- end .single-share -->
                </li>
            </ul><div class="clear"></div>
        </div><!-- end .entry-top -->
        <?php endwhile; endif; ?>


        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <?php if ( function_exists( 'getPostViews_vloma_wp' ) ) { setPostViews_vloma_wp(get_the_ID()); } ?>
            <div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">

            <div class="media-single-content">
            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $vloma_wp_gallery_img = rwmb_meta('vloma_wp_slider', true );
                $vloma_wp_hideimg_id = rwmb_meta('vloma_wp_hideimg', true );
                ?> 

                <?php if(!empty($vloma_wp_hideimg_id)) { } else { ?>
                     <?php the_post_thumbnail('vloma_wp_thumbnail-single-image'); ?>
                <?php } // disable featured image ?>

                <?php if(!empty($vloma_wp_gallery_img)) { ?>
                    <!-- #### Single Gallery #### -->
                    <div class="single-gallery">
                        <?php
                        $images = rwmb_meta( 'vloma_wp_slider', 'type=image&size=vloma_wp_thumbnail-widget-small' );
                        foreach($images as $key =>$vloma_wp_gallery_img)
                         { echo "<a href='{$vloma_wp_gallery_img['full_url']}' rel='mygallery'><img src='{$vloma_wp_gallery_img['url']}'  alt='{$vloma_wp_gallery_img['alt']}' width='{$vloma_wp_gallery_img['width']}' height='{$vloma_wp_gallery_img['height']}' /></a>";
                        } ?>
                    </div><!-- end .single-gallery --> 
                <?php } ?>

            <?php } else { 
            // Meta Box Plugin ?>
                <?php the_post_thumbnail('vloma_wp_thumbnail-single-image'); ?>
            <?php } ?> 
            </div><!-- end .media-single-content -->

                    <div class="entry">
                        <!-- excerpt -->
                        <?php if ( !empty( $post->post_excerpt ) ) { ?> 
                            <?php echo the_excerpt(); ?>
                        <?php } ?>                             
                        <?php the_content(''); // content ?>
                        <?php wp_link_pages(); // content pagination ?>
                        <div class="clear"></div>

                        <div class="tags-cats">
                            <!-- views -->
                            <?php if ( function_exists( 'getPostViews_vloma_wp' ) ) { ?>
                                <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Views:', 'vloma-wp' ); ?></div> <?php echo getPostViews_vloma_wp(get_the_ID()); ?></div><div class="clear"></div>
                            <?php } ?>

                            <!-- tags -->
                            <?php $vloma_wp_single_tags = get_the_tags(); 
                            if ($vloma_wp_single_tags): ?>
                                <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Tags:', 'vloma-wp' ); ?></div> <?php the_tags('',' &middot; '); // tags ?></div><div class="clear"></div>
                            <?php endif; ?>

                            <!-- categories -->
                            <?php $vloma_wp_single_categories = get_the_category(); 
                            if ($vloma_wp_single_categories): ?>
                                <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Categories:', 'vloma-wp' ); ?></div> <?php the_category(' &middot; '); // categories ?></div><div class="clear"></div>
                            <?php endif; ?>
                        </div><!-- end .tags-cats -->

                        <div class="clear"></div>                        
                    </div><!-- end .entry -->
                    <div class="clear"></div> 
            </div><!-- end #post -->
            <?php endwhile; endif; ?>
        </article><!-- end article -->


        <?php if ($vloma_wp_display_add_relatedarticles == 'Yes') { ?>
        <!-- Related Articles -->
        <div class="single-related">
        <div class="single-related-wrap">
            <div class="one_half_sr">
                <?php echo stripslashes($vloma_wp_related_add300); ?>
            </div>

            <div class="one_half_last_sr">
                <h3><?php esc_html_e( 'Related Articles', 'vloma-wp' ); ?></h3>
                <ul class="article_list">
                <?php $vloma_wp_related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'ignore_sticky_posts' => 1, 'numberposts' => esc_attr(4), 'post__not_in' => array($post->ID) ) );
                $num=1; if( $vloma_wp_related ) foreach( $vloma_wp_related as $post ) { setup_postdata($post); ?>  
                  <li>
                      <?php if ( has_post_thumbnail()) { ?><div class="post-nr"><?php echo esc_html($num++); ?></div><?php } ?>                    
                      <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('vloma_wp_thumbnail-widget-small'); ?></a>
                      <div class="an-widget-title" <?php if ( has_post_thumbnail()) { ?> style="margin-left:105px;" <?php } ?>>
                        <h4 class="article-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>                
                        <div class="authorname"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 18 ); ?></a> <?php the_author_posts_link(); ?></div>
                      </div>
                  </li>
                  <?php } wp_reset_postdata(); ?>
                </ul>
            </div><div class="clear"></div>
        </div><!-- end .single-related-wrap -->
        </div><!-- end .single.related -->
        <?php } ?>

 
        <!-- Comments -->
        <div class="entry-bottom">
            <?php if (get_comments_number()==0) { } else { ?>
                <h3 class="title"> <?php esc_html_e( 'Comments', 'vloma-wp' ); ?></h3>
            <?php } ?>            
            
            <!-- Comments -->
            <div id="comments" class="comments">
                <?php comments_template('', true); // comments ?>
            </div>
            <div class="clear"></div>
        </div><!-- end .entry-bottom -->

    </div><!-- end .single-content -->


    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->    


    <div class="clear"></div>
</div><!-- end .wrap-fullwidth  -->
<?php get_footer(); // add footer  ?>