<?php
    // Most used Categories
    $vloma_wp_footer_categories = get_theme_mod('vloma_wp_footer_categories'); 
    if (empty($vloma_wp_footer_categories)) { $vloma_wp_footer_categories = esc_attr(14); }     

    // Copyright Section
    $vloma_wp_copyright = get_theme_mod('vloma_wp_copyright');     
?>

<!-- Begin Footer -->
<footer> 
	<div class="wrap-center">
		<div class="footer-categories-wrap">
			<h3><?php esc_html_e( 'Looking for more?', 'vloma-wp' ); ?></h3>
			<ul class="footer-categories">
			    <?php wp_list_categories(array( 'title_li' => esc_attr(0), 'order' => 'DESC', 'orderby' => 'count', 'use_desc_for_title'  => esc_attr(0), 'depth' => esc_attr(1), 'number' => esc_attr($vloma_wp_footer_categories)  )); ?>
			</ul><!-- end .footer-categories -->
		</div><!-- end .footer-categories-wrap -->

        <div class="copyright">
          <?php if (!empty($vloma_wp_copyright)) { ?>
          	<?php echo wp_kses_post(stripslashes($vloma_wp_copyright)); ?>
          <?php } ?>  
        </div><!-- end .copyright -->
    </div><!-- end .wrap-center -->

	<p id="back-top"><a href="#top">
      <span><i class="fa fa-chevron-up"></i></span></a>
    </p><!-- end #back-top -->
</footer><!-- end #footer -->

<!-- Footer Theme output -->
<?php wp_footer();?>
</body>
</html>