<?php 
// Register widgetized areas
function vloma_wp_widgets_init() {

    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #1 = Main Sidebar', 'vloma-wp' ),
		'id' => 'sidebar_main_vloma_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'vloma-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<h3 class="title">',
		'after_title' => '</h3><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #2 = Default Page', 'vloma-wp' ),
		'id' => 'sidebar_page_vloma_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'vloma-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div><div class="clear"></div>',
		'before_title' => '<h3 class="title">',
		'after_title' => '</h3><div class="clear"></div>',
	) );

}

add_action( 'init', 'vloma_wp_widgets_init' );
?>