<?php
// ------------------------------------------------------
// ------ Popular Posts by comments  --------------------
// ------ by anthemes.net -------------------------------
//        http://themeforest.net/user/An-Themes/portfolio
//        http://themeforest.net/user/An-Themes/follow 
// ------------------------------------------------------

class vloma_wp_topposts extends WP_Widget {
     function __construct() {
      $widget_ops = array('description' => esc_html__('Popular Posts - Display your Popular / Top Posts by comments.', 'vloma-wp'));
      parent::__construct(false, $name = ''. esc_html__('Custom: Top Posts', 'vloma-wp') .'',$widget_ops); 
    }


    function widget($args, $instance) {   
        extract( $args );
        $number = $instance['number'];
        $title = $instance['title'];
        ?>



<?php echo $before_widget; ?>
<?php if ( $title ) echo $before_title . esc_attr($title) . $after_title; ?>

<ul class="article_list">
<?php $vloma_wp_antop = new WP_Query(array('orderby' => 'comment_count', 'ignore_sticky_posts' => 1, 'posts_per_page' => esc_attr($number) )); // number to display more / less ?>
<?php $num=1; while ($vloma_wp_antop->have_posts()) : $vloma_wp_antop->the_post(); ?> 


  <li>
      <?php if ( has_post_thumbnail()) { ?>
      <div class="post-nr"><?php echo esc_html($num++); ?></div>
      <?php } ?>    
      <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('vloma_wp_thumbnail-widget-small'); ?></a>
      <div class="an-widget-title" <?php if ( has_post_thumbnail()) { ?> style="margin-left:105px;" <?php } ?>>
        <a href="<?php the_permalink(); ?>"><h4 class="article-title"><?php vloma_wp_the_title( 38, ' ..'); ?></h4></a>              
        <div class="authorname"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 18 ); ?></a> <?php the_author_posts_link(); ?></div>
      </div>
  </li>

<?php endwhile; 
/* Restore original Post Data */
wp_reset_postdata(); ?>
</ul><div class="clear"></div>


<?php echo $after_widget; ?> 


<?php
    }
    function update($new_instance, $old_instance) {       
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['number'] = strip_tags($new_instance['number']);
    return $instance;
    }

  function form( $instance ) {
    $instance = wp_parse_args( (array) $instance );
?>


        <p>
          <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e( 'Title:', 'vloma-wp' ); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" />
        </p>

         <p>
          <label for="<?php echo $this->get_field_id('number'); ?>"><?php esc_html_e( 'Number of Posts:', 'vloma-wp' ); ?></label>      
          <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php if( isset($instance['number']) ) echo $instance['number']; ?>" />
         </p> 

<?php  } }

// register widget
function vloma_wp_topposts_init_widget () {
    return register_widget('vloma_wp_topposts');
  }
add_action ('widgets_init', 'vloma_wp_topposts_init_widget');
?>